#!/bin/bash

apt-get update
echo "Startupscript started" >> /home/ubuntu/status.txt


# Install influxdb, from: https://portal.influxdata.com/downloads/
wget -q https://repos.influxdata.com/influxdata-archive_compat.key

echo '393e8779c89ac8d958f81f942f9ad7fb82a25e133faddaf92e15b16e6ac9ce4c influxdata-archive_compat.key' | sha256sum -c && cat influxdata-archive_compat.key | gpg --dearmor | sudo tee /etc/apt/trusted.gpg.d/influxdata-archive_compat.gpg > /dev/null

echo 'deb [signed-by=/etc/apt/trusted.gpg.d/influxdata-archive_compat.gpg] https://repos.influxdata.com/debian stable main' | sudo tee /etc/apt/sources.list.d/influxdata.list

apt-get update && sudo apt-get install influxdb2 -y
 
#start influxdb: 
systemctl start influxdb


rm influxdata-archive_compat.key

echo "Influxdb installed and started" >> /home/ubuntu/status.txt


echo "check status with: sudo systemctl status influxdb" >> /home/ubuntu/status.txt

# create default user, org and bucket: 
influx setup -u orange -p Orange2023& -b bucket -o Orange -r 0 -f

echo "setup of influx compleate!" >> /home/ubuntu/status.txt
